Tip Class

class NXOpen.Die.Tip

Bases: NXOpen.Features.Feature

Represents a Tip feature.

This class supports operations on a Tip feature, see TipBuilder for creation.

New in version NX4.0.0.

Properties

Property Description
AlgorithmVersion Returns the algorithm version of the feature
ContainerFeature Returns the container feature for this feature.
FeatureType Returns the feature type
IsContainedFeature Returns true if the feature is a contained feature.
IsInternal Returns true if the feature is internal.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Location Returns the location of the feature
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Suppressed Returns the suppression status of the feature
Tag Returns the Tag for this object.
Timestamp Returns the timestamp of the feature

Methods

Method Description
AddToDieData Adds the input curves to the die data.
BreakWaveLink Break Wave Link Feature
ChangeBooleanType Change Boolean Type
CreateAttributeIterator Create an attribute iterator
CreateDieData Creates a copy of the product data in die position.
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteClueAlerts Delete all clue alerts from the features
DeleteDieData Deletes the copy of the product data.
DeleteHintAlerts Delete all clue alerts from the features
DeleteInformationalAlerts Delete all informational alerts from the features
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
DeleteWarningAlerts Delete all warning alerts from the features
DisplayDieData Makes the product data in die position visible.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAllChildren Returns all immediate child features.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetChildren Returns the immediate child features.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetEntities Returns the entities created by the feature.
GetExpressions Returns the expressions created by the feature.
GetFeatureClueHintMessages Returns both clue and hint messages of the feature.
GetFeatureClueMessages Returns the feature clue messages.
GetFeatureColor The feature color
GetFeatureErrorMessages Returns the feature error messages.
GetFeatureHintMessages Returns the feature hint messages.
GetFeatureInformationalMessages Returns the feature informational messages.
GetFeatureName Returns the displayed name of the feature.
GetFeatureWarningMessages Returns the feature warning messages.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetParents Returns the immediate parent features.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetSections Queries a feature for list of its sections.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUnprocessedHoles Finds the hole edges that have not been processed yet.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
HideBody Hide the body created by the feature
HideParents Hide the body created by the parent feature
Highlight Highlight the body created by the feature
LogDiagnostic Log a diagnostic alert for this feature
MakeCurrentFeature Make current feature
MakeSketchExternal Make the parent sketch external for reuse by other features.
MakeSketchInternal Make the parent sketch internal if referenced only by this feature.
MapCollectorToDie Maps the edges in the collector from part position to die position.
MapCollectorToPart Maps the edges in the collector from die position to part position.
MapEdge Maps the edge to find the part and die position entity, either can be a None.
Print Prints a representation of this object to the system log file.
RemoveForEdit Remove all the feature faces before a NoHistory mode edit.
RemoveParameters Remove Local feature parameters in history free mode.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetGroupActive Set a feature group as active group.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetReferenceCurves Sets reference curves in the die tip feature.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
ShowBody Show the body created by the feature.
ShowDimensions Show all feature dimensions of a feature.
ShowParents Show the body created by the parent feature.
Suppress Suppress the feature
TransformDieDirection Transforms the direction from die position to product position.
TransformDiePoint Transforms the point from die position to product position.
UndisplayDieData Makes the product data in die position invisible.
Unhighlight Unhighlight the body created by the feature
Unsuppress Unsuppress the feature

Property Detail

IsOccurrence

Tip.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

Tip.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

Tip.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

Tip.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Tip.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

Tip.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

AddToDieData

Tip.AddToDieData

Adds the input curves to the die data.

Signature AddToDieData(objects)

Parameters:objects (list of NXOpen.Curve) – Curves to be added to the die data

New in version NX5.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

CreateDieData

Tip.CreateDieData

Creates a copy of the product data in die position.

The product data is not visible upon creation. This method must be called before using the methods Die.Tip.DeleteDieData(), Die.Tip.DisplayDieData(), Die.Tip.UndisplayDieData(), Die.Tip.TransformDiePoint(), or Die.Tip.TransformDieDirection().

Signature CreateDieData(allTips)

Parameters:allTips (bool) – Create the die position product data of all tips in the operation?

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

DeleteDieData

Tip.DeleteDieData

Deletes the copy of the product data.

Signature DeleteDieData()

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

DisplayDieData

Tip.DisplayDieData

Makes the product data in die position visible.

The display of the Tip feature is made invisible.

Signature DisplayDieData()

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

FindObject

Tip.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetUnprocessedHoles

Tip.GetUnprocessedHoles

Finds the hole edges that have not been processed yet.

Signature GetUnprocessedHoles()

Returns:
Return type:list of NXOpen.Edge

New in version NX5.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

MapCollectorToDie

Tip.MapCollectorToDie

Maps the edges in the collector from part position to die position.

Signature MapCollectorToDie(collector)

Parameters:collector (NXOpen.ScCollector) –

New in version NX5.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

MapCollectorToPart

Tip.MapCollectorToPart

Maps the edges in the collector from die position to part position.

Signature MapCollectorToPart(collector)

Parameters:collector (NXOpen.ScCollector) –

New in version NX5.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

MapEdge

Tip.MapEdge

Maps the edge to find the part and die position entity, either can be a None.

Signature MapEdge(inEdge)

Parameters:inEdge (NXOpen.IProfile) –
Returns:a tuple
Return type:A tuple consisting of (partEdge, dieEdge). partEdge is a NXOpen.IProfile. dieEdge is a NXOpen.IProfile.

New in version NX5.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

Print

Tip.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

Tip.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetReferenceCurves

Tip.SetReferenceCurves

Sets reference curves in the die tip feature.

Signature SetReferenceCurves(objects)

Parameters:objects (list of NXOpen.Curve) – Curves to be added to the tip

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

TransformDieDirection

Tip.TransformDieDirection

Transforms the direction from die position to product position.

Signature TransformDieDirection(vector)

Parameters:vector (NXOpen.Direction) – Direction to be transformed.

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

TransformDiePoint

Tip.TransformDiePoint

Transforms the point from die position to product position.

Signature TransformDiePoint(point)

Parameters:point (NXOpen.Point) – Point to be transformed.

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)

UndisplayDieData

Tip.UndisplayDieData

Makes the product data in die position invisible.

The display of the Tip feature is made visible.

Signature UndisplayDieData()

New in version NX4.0.0.

License requirements: die_engineering (“DIE ENGINEERING”)